Summary: Utility to administer the Linux Virtual Server.
Name: ipvsadm
Version: 1.17
Release: fr1
Group: Applications/System
Copyright: GPL
URL: http://www.LinuxVirtualServer.org/
Source: http://www.LinuxVirtualServer.org/software/ipvsadm-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: piranha <= 0.4.14

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel with IP virtual server support.

This version of ipvsadm requires IPVS module v0.0.5 for kernel 2.4 or
later.  Check out the Linux Virtual Server Project home page on the
World Wide Web: http://www.LinuxVirtualServer.org/ for the most
recent information about ipvsadm.

%prep
%setup -q -n %{name}

%build
CFLAGS="${RPM_OPT_FLAGS}" make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man8,/etc/init.d}
make install \
BUILD_ROOT=%{buildroot} \
MAN=%{buildroot}%{_mandir}/man8 \
SBIN=%{buildroot}%{_sbindir} \
INIT=%{buildroot}/etc/init.d

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%config /etc/init.d/ipvsadm
%{_sbindir}/ipvsadm*
%{_mandir}/man8/ipvsadm*

%changelog
* Thu May  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Moved the binary to /usr/bin since that's where Piranha looks for it.

* Thu Dec 30 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- update the %file section

* Thu Dec 17 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Added a if-condition to keep both new or old rpm utility building
  the package happily.

* Tue Dec 12 2000 P.opeland <bryce@redhat.com>
- Small modifications to make the compiler happy in RH7 and the Alpha
- Fixed the documentation file that got missed off in building
  the rpm
- Made a number of -pedantic mods though popt will not compile with
  -pedantic

* Wed Aug 9 2000 Horms <horms@vergenet.net>
- Removed Obseletes tag as ipvsadm is back in /sbin where it belongs 
  as it is more or less analogous to both route and ipchains both of
  which reside in /sbin.
- Create directory to install init script into. Init scripts won't install
  into build directory unless this is done

* Thu Jul  6 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Changed to build rpms on the ipvsadm tar ball directly

* Wed Jun 21 2000 P.Copeland <copeland@redhat.com>
- fixed silly install permission settings

* Mon Jun 19 2000 P.Copeland <copeland@redhat.com>
- Added 'dist' and 'rpms' to the Makefile
- Added Obsoletes tag since there were early versions
  of ipvsadm-*.rpm that installed in /sbin
- Obsolete tag was a bit vicious re: piranha

* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 1.9
